
extends _base.pug

block title
  span Basic Example

block ssvg
  input.custom-input.w-100#input(type="range" value="0")
  s-svg#ssvg
    svg(width="100%" xmlns="http://www.w3.org/2000/svg" height="40%")
      state.
        //- note: set the duration to zero and move the input
        transition(duration='.2')
        property(name="range" min="0" max="100" type="number" initial="0")
          //- note: interpolate #rect2 width from 100% to 0%
          relation(query-selector='#rect2' attribute-name='width' from='100%' to='0%')
          relation(query-selector='#rect1' attribute-name='width' from='0%' to='100%')
          //- note: try to set a 'from' or 'values'
          relation(query-selector='#rect1' attribute-name='fill' to='blue')

      rect(id="rect1" width="10%" height="20%" fill='black' stroke='black')
      rect(id="rect2" y="20%" width="10%" height="20%" fill='red' stroke='black')

  script(src=basePath + "/dist/ssvg-engine.js")
  script.
    ssvg.plugin();
    $(document).ready(() => {
      const ssvg = $('#ssvg');
      const input = $('#input');

      input.on('input', function() {
        ssvg.get(0).setState({ range: this.value });
      });
    });
